List organization API keys
curl --request GET \
--url https://api.usefoil.com/v1/organizations/{organizationId}/api-keysimport requests
url = "https://api.usefoil.com/v1/organizations/{organizationId}/api-keys"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.usefoil.com/v1/organizations/{organizationId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usefoil.com/v1/organizations/{organizationId}/api-keys"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.usefoil.com/v1/organizations/{organizationId}/api-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefoil.com/v1/organizations/{organizationId}/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"object": "api_key",
"id": "key_6cw04zdmetw8t5rsdppadhper0",
"type": "publishable",
"environment": "live",
"name": "Acme Growth Workspace",
"status": "active",
"allowed_origins": [
"https://app.acme.co/signup"
],
"scopes": [
"*"
],
"rate_limit": 1,
"key_preview": "FOIL_SAMPLE_KEY",
"display_key": "FOIL_SAMPLE_KEY",
"revealed_key": "FOIL_SAMPLE_KEY",
"last_used_at": "2026-03-24T20:00:05.000Z",
"created_at": "2026-03-24T20:00:00.000Z",
"rotated_at": "2026-03-24T20:00:05.000Z",
"revoked_at": "2026-03-24T20:00:05.000Z",
"grace_expires_at": "2026-03-24T20:00:05.000Z"
}
],
"pagination": {
"limit": 50,
"has_more": false,
"next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
},
"meta": {
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}{
"error": {
"code": "request.validation_failed",
"message": "Observation payload failed validation.",
"status": 1,
"retryable": true,
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1",
"docs_url": "https://app.acme.co/signup",
"details": {
"fields": [
{
"name": "Acme Growth Workspace",
"issue": "required",
"expected": "string",
"received": "any_of"
}
],
"allowed_values": [
"verified"
],
"header_name": "x-forwarded-for",
"parameter_set": "browser_fingerprint",
"next_action": "retry"
}
}
}API keys
List organization API keys
Requires the api_keys:read secret-key scope.
GET
/
v1
/
organizations
/
{organizationId}
/
api-keys
List organization API keys
Path Parameters
Pattern:
^org_[0123456789abcdefghjkmnpqrstvwxyz]{26}$Example:
"org_f6m39y94nh6fs513q03skj929c"
Query Parameters
Required range:
1 <= x <= 200Example:
50
Example:
"eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
Response
API key list response.
Show child attributes
Show child attributes
Example:
[
{
"object": "api_key",
"id": "key_6cw04zdmetw8t5rsdppadhper0",
"type": "publishable",
"environment": "live",
"name": "Acme Growth Workspace",
"status": "active",
"allowed_origins": ["https://app.acme.co/signup"],
"scopes": ["*"],
"rate_limit": 1,
"key_preview": "FOIL_SAMPLE_KEY",
"display_key": "FOIL_SAMPLE_KEY",
"revealed_key": "FOIL_SAMPLE_KEY",
"last_used_at": "2026-03-24T20:00:05.000Z",
"created_at": "2026-03-24T20:00:00.000Z",
"rotated_at": "2026-03-24T20:00:05.000Z",
"revoked_at": "2026-03-24T20:00:05.000Z",
"grace_expires_at": "2026-03-24T20:00:05.000Z"
}
]
Show child attributes
Show child attributes
Example:
{
"limit": 50,
"has_more": false,
"next_cursor": "eyJ2IjoxLCJzY29yZWRBdCI6IjIwMjYtMDQtMTBUMDY6NDI6NDIuNTE0WiIsInJvd0lkIjoiMTc3In0"
}
Show child attributes
Show child attributes
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}
⌘I